# unset environment variables used in ArcPy execution
if [[ -n "$AGS_ORIG_PATH" && -d "$AGS_ORIG_PATH" ]]; then
    unset WINEPATH
    unset DOTWINE
    unset WINEPREFIX
    unset ENGINEJAVA94
    unset CLASSPATH
    unset ARCGIS_JAVA_HOME
    unset TOMCATBIN
    unset XVFBPATH
    unset FONTCONFIG_PATH
    unset FONTCONFIG_FILE
    unset WINEDEBUG
    unset LIBGL_DRIVERS_PATH
    unset LIBGL_ALWAYS_SOFTWARE
    unset GALLIUM_DRIVER
    unset GALLIVM_LLC_OPTIONS
    unset MESA_GLSL_VERSION_OVERRIDE
    unset MESA_GL_VERSION_OVERRIDE
    unset HOMEPATH
    unset SDEHOME
    unset LD_LIBRARY_PATH
    unset LD_PRELOAD
    # restore paths
    export PATH=$AGS_ORIG_PATH
    if [[ -n "$AGS_ORIG_LD_LIBRARY_PATH" && -d "$AGS_ORIG_LD_LIBRARY_PATH" ]]; then
        export LD_LIBRARY_PATH=$AGS_ORIG_LD_LIBRARY_PATH
    fi
fi
